### Method

# GIRepository CallableInfo get_return_type

since: 2.80

#### Declaration [src]

    GITypeInfo*
    gi_callable_info_get_return_type (
      GICallableInfo* info
    )

#### Description [src]

Obtain the return type of a callable item as a `GITypeInfo`.

If the callable doesn’t return anything, a `GITypeInfo` of type `GI_TYPE_TAG_VOID` will be returned.

Available since: 2.80

#### Return value

Type: `GITypeInfo`

The `GITypeInfo`. Free the struct by calling `gi_base_info_unref()` when done.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.